View Issue Details

IDProjectCategoryLast Update
0021197AI War 2[All Projects] Bug - GameplayMay 23, 2019 12:25 am
ReporterOvalcircleAssigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.858 Hotfix: The Lobby... Ate My Galaxy? 
Fixed in VersionBETA 0.859 Lobby Raid 
Summary0021197: AI Civil war: AI sends a 0 strength wave
DescriptionIt literally sends nothing. On the other hand, the other AI send a wave that actually has ships in it.

Instructions: Debug, scout all, then wait until around 12 minutes 30 seconds. An Orange AI wave will be declared that has nothing in it.
TagsNo tags attached.

Activities

Ovalcircle

May 10, 2019 12:00 am

reporter  

Autosave.600.savemet (63 bytes)
20190509235154_1.jpg (195,963 bytes)
20190509235154_1.jpg (195,963 bytes)
20190509235531_1.jpg (186,519 bytes)
20190509235531_1.jpg (186,519 bytes)
Autosave.600.save (641,268 bytes)

BadgerBadger

May 12, 2019 2:06 pm

manager   ~0051587

The AI will now wait until a wave is "strong enough" before sending it

Ovalcircle

May 22, 2019 11:36 pm

reporter   ~0051716

This is back again. Auto save is about 4 minutes before the waves.
"No stuff in waves" is during the countdown.

20190522233020_1.jpg (171,161 bytes)
20190522233020_1.jpg (171,161 bytes)
Autosave.600-2.savemet (51 bytes)
Autosave.600-2.save (324,642 bytes)
No stuff in waves.savemet (52 bytes)
No stuff in waves.save (340,609 bytes)

Ovalcircle

May 22, 2019 11:37 pm

reporter   ~0051717

Also, the version that this is occurring in again is 0.861. And here are my game settings.

20190522232346_1.jpg (155,850 bytes)
20190522232346_1.jpg (155,850 bytes)

BadgerBadger

May 23, 2019 12:20 am

manager   ~0051718

Ah, anti-minor faction waves are a different code path and I didn't fix that. Regular anti-player waves are actually broken entirely on .861

BadgerBadger

May 23, 2019 12:25 am

manager   ~0051719

Some changes have been made, see if that helps

Issue History

Date Modified Username Field Change
May 10, 2019 12:00 am Ovalcircle New Issue
May 10, 2019 12:00 am Ovalcircle File Added: Autosave.600.savemet
May 10, 2019 12:00 am Ovalcircle File Added: Autosave.600.save
May 10, 2019 12:00 am Ovalcircle File Added: 20190509235154_1.jpg
May 10, 2019 12:00 am Ovalcircle File Added: 20190509235531_1.jpg
May 12, 2019 2:06 pm BadgerBadger Assigned To => BadgerBadger
May 12, 2019 2:06 pm BadgerBadger Status new => resolved
May 12, 2019 2:06 pm BadgerBadger Resolution open => fixed
May 12, 2019 2:06 pm BadgerBadger Fixed in Version => BETA 0.859 Lobby Raid
May 12, 2019 2:06 pm BadgerBadger Note Added: 0051587
May 22, 2019 11:36 pm Ovalcircle File Added: No stuff in waves.save
May 22, 2019 11:36 pm Ovalcircle File Added: No stuff in waves.savemet
May 22, 2019 11:36 pm Ovalcircle File Added: Autosave.600-2.save
May 22, 2019 11:36 pm Ovalcircle File Added: Autosave.600-2.savemet
May 22, 2019 11:36 pm Ovalcircle File Added: 20190522233020_1.jpg
May 22, 2019 11:36 pm Ovalcircle Note Added: 0051716
May 22, 2019 11:37 pm Ovalcircle File Added: 20190522232346_1.jpg
May 22, 2019 11:37 pm Ovalcircle Note Added: 0051717
May 23, 2019 12:20 am BadgerBadger Note Added: 0051718
May 23, 2019 12:25 am BadgerBadger Note Added: 0051719